Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Invoice
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
      GET
    • Create invoice
      POST
    • Retrieve invoice
      GET
    • Update invoice
      PUT
    • Delete invoice
      DELETE
    • Refund invoice
      POST
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Invoice

List all invoices

GET
/v1/invoices
Returns invoices with optional sorting and filter parameters. Use sort_by and direction to control ordering, and pass filters in the filters[...] query format for status, amount ranges, dates, account, customer, invoice_id, and other supported invoice attributes.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
OK
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/v1/invoices?sort_by=account_id%7Cdue_date%7Cemail&direction=asc%2C%20desc&filters[...]=filters[amount][from]%3D1000%26filters[status]%3Dtrue&page=1&per_page=50' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": [
        {
            "unique_id": "XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
            "account_id": 1,
            "invoice_id": "10000",
            "amount": 12500,
            "customer_id": "51220",
            "customer_reference": "PO-88231",
            "name": "Jim Smith",
            "email": "jimsmith@example.com",
            "phone": "+37263256604",
            "currency": "NOK",
            "notify_customer": true,
            "reminded": false,
            "payment_method": null,
            "language": "no",
            "redirect_url": "https://www.customershop.com/controlpanel",
            "cancel_url": "https://google.com",
            "due_date": "2021-04-09T00:00:00",
            "last_payment_date": "2022-04-24T00:00:00",
            "paid_at": null,
            "created_at": "2021-03-29T09:32:25",
            "updated_at": "2021-03-29T09:39:39",
            "deleted_at": null,
            "deactivated_at": null,
            "refunded_at": null,
            "payment_url": "https://pay.amili.no/pay-invoice/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
            "details": {
                "cardSummary": "1234"
            }
        }
    ],
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "path": "https://pay.amili.no/external/api/v1/invoices",
        "per_page": 50,
        "to": 1,
        "total": 1
    },
    "links": {
        "first": "https://pay.amili.no/external/api/v1/invoices?page=1",
        "last": "https://pay.amili.no/external/api/v1/invoices?page=1",
        "prev": null,
        "next": null
    }
}
Modified at 2026-09-25 07:15:05
Previous
Deactivate agreement
Next
Create invoice
Built with